classification
Title: Typo in in asyncio-task documentation
Type: Stage: resolved
Components: asyncio, Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, awecx, docs@python, dojutsu-user, eric.araujo, ezio.melotti, mdk, miss-islington, willingc, yselivanov
Priority: normal Keywords: patch, patch, patch, patch

Created on 2018-12-24 16:44 by awecx, last changed 2018-12-27 10:18 by awecx. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11321 merged dojutsu-user, 2018-12-26 08:20
PR 11321 merged dojutsu-user, 2018-12-26 08:20
PR 11321 merged dojutsu-user, 2018-12-26 08:20
PR 11321 merged dojutsu-user, 2018-12-26 08:20
PR 11323 open miss-islington, 2018-12-26 14:47
Messages (19)
msg332495 - (view) Author: Antoine Wecxsteen (awecx) * Date: 2018-12-24 16:44
I believe there is a typo in the library/asyncio-task documentation

https://docs.python.org/3.8/library/asyncio-task.html#scheduling-from-other-threads

"Unlike other asyncio functions this functions requires the loop argument to be passed explicitly."

It should be "this function", without "s".
msg332497 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-12-24 23:15
You are correct.
Would you make a patch?
msg332512 - (view) Author: Vaibhav Gupta (dojutsu-user) * Date: 2018-12-25 16:06
I am totally new to the community here and would like to start with a easy issue.
Can i make a PR for this?
msg332518 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-12-25 21:36
Sure!
msg332519 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-12-25 21:37
Looks like you can (no one objected to it).
msg332541 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 14:53
New changeset dcf14d1a9875143747cd87c66fae6e693b21c6de by Miss Islington (bot) in branch '3.7':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/dcf14d1a9875143747cd87c66fae6e693b21c6de
msg332542 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 14:56
New changeset 3a81076bbf899b1a549f005dd9299e7ae0946321 by Miss Islington (bot) (Vaibhav Gupta) in branch 'master':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/3a81076bbf899b1a549f005dd9299e7ae0946321
msg332543 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 14:56
New changeset 3a81076bbf899b1a549f005dd9299e7ae0946321 by Miss Islington (bot) (Vaibhav Gupta) in branch 'master':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/3a81076bbf899b1a549f005dd9299e7ae0946321
msg332544 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 14:59
New changeset 3a81076bbf899b1a549f005dd9299e7ae0946321 by Miss Islington (bot) (Vaibhav Gupta) in branch 'master':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/3a81076bbf899b1a549f005dd9299e7ae0946321
msg332545 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 15:01
New changeset 3a81076bbf899b1a549f005dd9299e7ae0946321 by Miss Islington (bot) (Vaibhav Gupta) in branch 'master':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/3a81076bbf899b1a549f005dd9299e7ae0946321
msg332546 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 15:03
New changeset dcf14d1a9875143747cd87c66fae6e693b21c6de by Miss Islington (bot) in branch '3.7':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/dcf14d1a9875143747cd87c66fae6e693b21c6de
msg332548 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 15:11
New changeset dcf14d1a9875143747cd87c66fae6e693b21c6de by Miss Islington (bot) in branch '3.7':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/dcf14d1a9875143747cd87c66fae6e693b21c6de
msg332551 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 15:23
New changeset 3a81076bbf899b1a549f005dd9299e7ae0946321 by Miss Islington (bot) (Vaibhav Gupta) in branch 'master':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/3a81076bbf899b1a549f005dd9299e7ae0946321
msg332552 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 15:24
New changeset 3a81076bbf899b1a549f005dd9299e7ae0946321 by Miss Islington (bot) (Vaibhav Gupta) in branch 'master':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/3a81076bbf899b1a549f005dd9299e7ae0946321
msg332555 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 16:45
New changeset 3a81076bbf899b1a549f005dd9299e7ae0946321 by Miss Islington (bot) (Vaibhav Gupta) in branch 'master':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/3a81076bbf899b1a549f005dd9299e7ae0946321
msg332556 - (view) Author: miss-islington (miss-islington) Date: 2018-12-26 16:46
New changeset dcf14d1a9875143747cd87c66fae6e693b21c6de by Miss Islington (bot) in branch '3.7':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/dcf14d1a9875143747cd87c66fae6e693b21c6de
msg332578 - (view) Author: miss-islington (miss-islington) Date: 2018-12-27 08:59
New changeset 3a81076bbf899b1a549f005dd9299e7ae0946321 by Miss Islington (bot) (Vaibhav Gupta) in branch 'master':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/3a81076bbf899b1a549f005dd9299e7ae0946321
msg332579 - (view) Author: miss-islington (miss-islington) Date: 2018-12-27 08:59
New changeset dcf14d1a9875143747cd87c66fae6e693b21c6de by Miss Islington (bot) in branch '3.7':
bpo-35579: Fix typo in in asyncio-task documentation (GH-11321)
https://github.com/python/cpython/commit/dcf14d1a9875143747cd87c66fae6e693b21c6de
msg332582 - (view) Author: Antoine Wecxsteen (awecx) * Date: 2018-12-27 10:18
Thank you all.
History
Date User Action Args
2018-12-27 10:18:22awecxsetmessages: + msg332582
2018-12-27 08:59:40miss-islingtonsetmessages: + msg332579
2018-12-27 08:59:28miss-islingtonsetmessages: + msg332578
2018-12-26 16:46:13miss-islingtonsetmessages: + msg332556
2018-12-26 16:45:56miss-islingtonsetmessages: + msg332555
2018-12-26 15:24:42miss-islingtonsetmessages: + msg332552
2018-12-26 15:23:54miss-islingtonsetmessages: + msg332551
2018-12-26 15:11:12miss-islingtonsetmessages: + msg332548
2018-12-26 15:03:55miss-islingtonsetmessages: + msg332546
2018-12-26 15:01:55miss-islingtonsetmessages: + msg332545
2018-12-26 14:59:48miss-islingtonsetmessages: + msg332544
2018-12-26 14:56:56miss-islingtonsetmessages: + msg332543
2018-12-26 14:56:37miss-islingtonsetmessages: + msg332542
2018-12-26 14:53:54asvetlovsetkeywords: patch, patch, patch, patch
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-26 14:53:05miss-islingtonsetnosy: + miss-islington
messages: + msg332541
2018-12-26 14:47:38miss-islingtonsetpull_requests: + pull_request10585
2018-12-26 08:20:54dojutsu-usersetkeywords: + patch
stage: patch review
pull_requests: + pull_request10581
2018-12-26 08:20:42dojutsu-usersetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10580
2018-12-26 08:20:27dojutsu-usersetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10579
2018-12-26 08:20:09dojutsu-usersetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10578
2018-12-25 21:37:47mdksetmessages: + msg332519
2018-12-25 21:36:28asvetlovsetmessages: + msg332518
2018-12-25 16:06:52dojutsu-usersetnosy: + dojutsu-user
messages: + msg332512
2018-12-24 23:15:40asvetlovsetmessages: + msg332497
2018-12-24 16:44:00awecxcreate